SPOPT(3)

SYNOPSIS
SUBROUTINE SPOPT (PRGOPT, MRELAS, NVARS, INFO, CSC, IBASIS, ROPT, + INTOPT, LOPT)

NAME
spopt - Subsidiary to SPLP

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (SPOPT-S, DPOPT-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
THE EDITING REQUIRED TO CONVERT THIS SUBROUTINE FROM SINGLE TO DOUBLE PRECISION INVOLVES THE FOLLOWING CHARACTER STRING CHANGES. USE AN EDITING COMMAND (CHANGE) /STRING-1/(TO)STRING-2/. /REAL (12 BLANKS)/DOUBLE PRECISION/, /R1MACH/D1MACH/,/E0/D0/

REVISED 821122-1045 REVISED YYMMDD-HHMM THIS SUBROUTINE PROCESSES THE OPTION VECTOR, PRGOPT(*), AND VALIDATES ANY MODIFIED DATA.

SEE ALSO
SPLP

ROUTINES CALLED
R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
811215 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890605 Removed unreferenced labels. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)